Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!

Bug 665872

Summary: dev-lang/yap: Validate DEPEND on virtual/mysql
Product: Gentoo Linux Reporter: Brian Evans <grknight>
Component: Current packagesAssignee: Gentoo Prolog project <prolog>
Status: RESOLVED FIXED    
Severity: normal    
Priority: Normal    
Version: unspecified   
Hardware: All   
OS: Linux   
Whiteboard:
Package list:
Runtime testing required: ---
Bug Depends on:    
Bug Blocks: 763480    

Description Brian Evans Gentoo Infrastructure gentoo-dev 2018-09-12 17:29:35 UTC
THIS IS A MASS FILING TO ALL PACKAGE WITH A DEPEND ON virtual/mysql

As was announced on the gentoo-dev-announce mailing list[1],
virtual/mysql is no longer viable to depend on providing the client libraries
or the mysql_config tool.

Most uses of DEPEND="virtual/mysql" (or conditionals based upon it) will not
work in the future.

If this package (optionally) depends on libmysqlclient.so* or mysql_config for
building, you will need to have dev-db/mysql-connector-c as the DEPEND/RDEPEND.

If this package (optionally) depends on libmariadb.so* or mariadb_config for
building, you will need to have dev-db/mariadb-connector-c as the
DEPEND/RDEPEND.

If this package requires the server running locally, virtual/mysql is
acceptible for RDEPEND and only in DEPEND when tests demand it.

The rare exception when server only files are required at build time should you
keep a compatible server listed.

After 60 days, roughly mid-October 2018, remaining packages will be forcefully
changed to mysql-connector-c with little or no testing. The server packages
will drop their compatibility DEPEND shortly after.

[1] https://archives.gentoo.org/gentoo-dev-announce/message/618f39bce863911d8955ee9f83636ca4
Comment 1 Larry the Git Cow gentoo-dev 2019-02-08 21:41:48 UTC
The bug has been referenced in the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=afb3bb43ccde05954fbcaee62eb1cddbba3670a4

commit afb3bb43ccde05954fbcaee62eb1cddbba3670a4
Author:     Brian Evans <grknight@gentoo.org>
AuthorDate: 2019-02-08 21:41:30 +0000
Commit:     Brian Evans <grknight@gentoo.org>
CommitDate: 2019-02-08 21:41:30 +0000

    dev-lang/yap: Fix dependency, QA error and update EAPI
    
    Non-maintainer commit
    
    Bug: https://bugs.gentoo.org/665872
    Package-Manager: Portage-2.3.59, Repoman-2.3.12
    Signed-off-by: Brian Evans <grknight@gentoo.org>

 dev-lang/yap/yap-6.3.3-r1.ebuild | 124 +++++++++++++++++++++++++++++++++++++++
 1 file changed, 124 insertions(+)
Comment 2 Keri Harris gentoo-dev 2019-08-02 09:23:31 UTC
Marking as FIXED. Thanks for taking care of this.